DUNE-PACKAGE(1)

NAME

dune-package - Experimental package management

SYNOPSIS

dune package COMMAND …

DESCRIPTION

Commands for OCaml package management

COMMANDS

enabled [OPTION]…
    Check if the project indicates that dune's package management features should be enabled. Exits with 0 if package management is enabled and 1 otherwise.

lock [OPTION]… [LOCKDIRS]…
    Create a lockfile

outdated [OPTION]… [LOCKDIRS]…
    Check for outdated packages

print-digest [OPTION]… PACKAGE
    Print the digest of a package in the project's lockdir.

print-solver-env [OPTION]… [LOCKDIRS]…
    Print a description of the environment that would be used to solve dependencies and then exit without attempting to solve the dependencies or generate the lockfile. Intended to be used to debug situations where no solution can be found to a project's dependencies.

search [OPTION]… [QUERY]
    Search for packages through repositories in workspace.

validate-lockdir [OPTION]… [LOCKDIRS]…
    Validate that a lockdir contains a solution for local packages

COMMON OPTIONS

These options are common to all commands.

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

MORE HELP

Use `dune COMMAND --help' for help on a single command.

EXIT STATUS

dune package exits with:

0   on success.

1   if an error happened.

130 if it was interrupted by a signal.

BUGS

Check bug reports at https://github.com/ocaml/dune/issues

SEE ALSO

dune(1)